function $gh(){}
function Pgh(a){this.a=a}
function Sgh(a){this.a=a}
function ahh(a){this.a=a}
function upf(a,b){a.a=b;return a}
function vpf(a){a.e=100;return a}
function wpf(){this.c=new vWd;BD();this.d=Gzj}
function xff(){this.b=xA($doc);this.a=xA($doc)}
function rmd(a){a.a.le(0,2);nmd(a.a.c,0,2)[gCj]=gak}
function pmd(a,b,d){var e;a.a.le(b,1);e=nmd(a.a.c,b,1);Ez(e,b3j,d.a)}
function Roh(a){var b;if(!a.d){b=new $gh;a.d=b}return a.d}
function Qu(a,b,d,e){var g;Wu(a,b,d);g=Hu(a,b,d,e==null);e!=null&&Bz(g,e)}
function Ngh(a,b,d,e){RFd.call(this,a,b,d);this.a=e;this.b=new f0i(h2b)}
function yff(a,b){if(a==0||b==0)return 0;return c3c(P2c(Math.round(b/a*100)))}
function tpf(a){var b,d,e,g,i,j;j=0;i=false;for(d=a.a,e=0,g=d.length;e<g;++e){b=d[e];if(b.c){i=true;break}++j}return i?j:-1}
function Rgh(a,b){var d,e;d=hnj(b);if(q7i(d,nGj).b.b!=(Klj(),Jlj)){e=X_i(a.a.b,q7i(d,nGj));Zgh(a.a.A,e)}else{Zgh(a.a.A,null)}}
function Mgh(a){var b,d;b=sef();B7i(e7i(b),vHj,KDj);d=new P7i;A7i(q7i(d,eGj),'engine-statistics');F7i(q7i(d,gGj),b);nnj(new Gmj(d),new Sgh(a))}
function Qoh(a){var b;if(!a.c){b=new Ngh(_Ed(Ube(a.a)),Roh(a),Poh(a),(Rnj(Ade(a.a)),T0i(yde(a.a)),VLg(Oce(a.a))));lFd((Vbe(a.a),b),iGd(Vbe(a.a)));a.c=b}return a.c}
function Zgh(a,b){var d;d=new oef(hM(i0c,axj,-1,[Q2c(b.rI().a),b.sI().a,b.tI().a,b.nI().a,b.pI().a,b.lI().a,b.mI().a,b.oI().a,Q2c(b.kI().a),Q2c(b.uI().a),Q2c(b.qI().a)]));rpf(a.b,d)}
function wff(a,b,d){var e,g,i;g=und(a.c,a.a);i=yff(b,d);if(i>0){yz(g,K_j,gik+i+KAj);yz(g,hik,gik+i+KAj)}else{yz(g,K_j,iik);yz(g,hik,iik)}e=new A4c;z4c(y4c((fQd(e.a,"<span style='padding-right:5px;'>"),e),i+KAj),X_j);Bz(g,(new C4c(e.a.a.a)).a)}
function rpf(a,b){var d,e,g,i,j,k,n,o,p;p=1;g=tpf(a);if(g>b.a.b)throw new qo(jik+g+kik+b.a.b);e=rOd(g>=0?(new oOd(fNd(gg(b.a,g)))).a:uyj);for(j=a.a,k=0,n=j.length;k<n;++k){i=j[k];o=p-1;d=gg(b.a,o);if(null==d)throw new qo(lik+o+mik);Su(a.b,p,1,d);if(!!i.a&&R2c(e.a,Mxj)){wff(gg(a.c,o),c3c(e.a),(new MNd(dNd(d))).a)}else if(!!i.a&&T2c(e.a,Mxj)){throw new qo(nik)}++p}}
function spf(a){var b,d,e,g,i,j,k,n,o,p;i=new Cwd;zz((Ufd(),i.gb),B_j);zwd(i,new nnd("<div class='metric-table-title'>"+a.d+e3j));a.b=new Yu;yz(sr(a.b),gCj,a.e+KAj);Qu(a.b,0,0,'Metric');Qu(a.b,0,1,'Actual');Qu(a.b,0,2,iCj);pmd(a.b.d,0,(Qnd(),Pnd));j=1;for(d=a.a,e=0,g=d.length;e<g;++e){b=d[e];Qu(a.b,j,0,"<div class='metric-table-label'>"+b.d+':<\/div>');Qu(a.b,j,1,Gzj);mWd(a.c,new xff);if(b.a){k=gg(a.c,j-1);Tu(a.b,j,2,(n=new A4c,z4c(n,"<div id='"+k.b+"'><div id='"+k.a+"'/><\/div>"),k.c=new vnd(new C4c(n.a.a.a)),o=und(k.c,k.b),oz(o,'stacked-bar-total'),yz(o,K_j,sgk),yz(o,hik,'width:100%!important'),p=und(k.c,k.a),oz(p,'stacked-bar-actual'),kA(p,Gzj),k.c));wff(k,0,0)}else Su(a.b,j,2,Gzj);pmd(a.b.d,j,Pnd);b.c&&Gnd(a.b.f,j,'metric-table-baseline');++j}qmd(a.b.d,0,0,oik);qmd(a.b.d,0,1,oik);qmd(a.b.d,0,2,oik);rmd(a.b.d);zwd(i,a.b);return i}
var qik='Teiid Metrics',iik='background:none',hik='cssText',oik='metric-table-header';n3c(2514,1,{},xff);n3c(2685,1,{},wpf);_.a=null;_.e=100;n3c(4588,1009,iyj,Ngh);_.Ri=function(){this.A.a=this;$H(this.v,(zuf(),yuf),this)};_.Uk=function(){pq((iq(),hq),new Pgh(this))};_.Wi=function(){this.B&&Mgh(this)};_.$i=function(){avf(this.a,this)};n3c(4589,1,{},Pgh);_.sd=function(){Mgh(this.a)};n3c(4590,1295,{},Sgh);_.pd=function(a){aYd('Failed to retrieve query engine statistics for Teiid',a._b())};_.eh=function(a){Rgh(this,a)};n3c(4593,1412,gyj,$gh);_.Bh=function(){var a,b,d,e,g,i,j,k,n,o,p,q,r,s;r=new Oij;Iij(r,new Eij((WXd(),Qhk),new ahh(this)));p=new uff(sQj,'Session Count');o=new uff(uQj,'Memory in Use(KB)');n=new uff(wQj,'Memory Used By Active Plans(KB)');g=new uff(yQj,'Buffer Disk Reads');i=new uff(AQj,'Buffer Disk Writes');b=new uff(CQj,'Buffer Cache Reads');d=new uff(EQj,'Buffer Cache Writes');q=new uff(GQj,'Disk Space In Use(MB)');a=new uff(IQj,'Active Plan Count');s=new uff(KQj,'Waiting Plan Count');k=new uff(MQj,'Maximum Plans Waiting Water Mark');e=hM(A1c,bxj,196,[p,o,n,g,i,b,d,q,a,s,k]);this.b=vpf(upf(new wpf,e),BD());j=ZBe(aCe(fCe(bCe(eCe(new gCe,pik),qik),r),'Metrics for teiid subsystem'),qik,spf(this.b));return $Be(j)};n3c(4594,1,vxj,ahh);_.ie=function(a){Mgh(this.a.a)};n3c(4750,1,Pyj);_.qd=function(){JGd(this.b,Qoh(this.a.a))};var z3b=DNd(4588),v3b=DNd(4589),w3b=DNd(4590),B3b=DNd(4593),A3b=DNd(4594),zub=DNd(2685),nrb=DNd(2514);Bzj(hp)(76);